#include "MIDI_timers.h"
#include <Arduino.h>

extern bool I2CPermission;

void Timer3_Start(void)
{
  cli();
  //prescaler set to 64.
  TCCR3B |= (1 << CS10);
  TCCR3B |= (1 << CS11);
  TCNT3 = 0;
  TIMSK3 |= (1 << OCIE1B);
  sei();
}

void Timer3_Stop(void)
{
  cli();
  TIMSK3 = 0;
  TCCR3B &= 0xF8;  
  sei();
}

//30 ms timers set to interrupt
void Timers_Setup(void)
{
  // C++ version
  cli();
  //A and B control registers set to 0
  
  TCCR3A = 0;
  TCCR3B = 0;
  // Timer CTC mode
  TCCR3B |= (1 << WGM12);
  OCR3B = 5000;
  sei();
}

ISR(TIMER3_COMPB_vect)
{
  //do things
  I2CPermission = true;
  Timer3_Stop();
}

